View Issue Details

IDProjectCategoryView StatusLast Update
0004462SymmetricDSBugpublic2020-07-20 10:50
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.2Fixed in Version3.12.2 
Summary0004462: Oracle failed to create trigger, identifier is too long
DescriptionOn Oracle 12.2 and newer in compatibility mode, it will fail to startup and create triggers because the object names used are too long.

2020-06-30 12:25:00,273 ERROR [server] [TriggerRouterService] [server-sync-triggers-1] Failed to create triggers for sym_transform_table StackTraceKey.init [SqlException:1115083280] org.jumpmind.db.sql.SqlException: ORA-00972: identifier is too long

While Oracle 12.2 can use longer identifier names, up to 128 bytes in length versus the older 30 bytes, it can be in a compatibility mode that makes it behave like an older version of Oracle. Query for the version it is behaving as:

select value from v$parameter where name = 'compatible'
Tagsdialect: oracle

Relationships

related to 0004461 resolvedelong Oracle failed to create trigger, identifier is too long 
related to 0004339 closedpmarzullo Oracle: Version 12.2 supports 128 character names for tables, columns, constraints, and foreign key names 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-07-01 09:12 elong New Issue
2020-07-01 09:12 elong Status new => assigned
2020-07-01 09:12 elong Assigned To => elong
2020-07-01 09:12 elong Issue generated from: 0004461
2020-07-01 09:12 elong Relationship added related to 0004461
2020-07-01 09:12 elong Tag Attached: dialect: oracle
2020-07-01 09:13 elong Relationship added related to 0004339
2020-07-01 09:26 elong Status assigned => resolved
2020-07-01 09:26 elong Resolution open => fixed
2020-07-01 09:26 elong Fixed in Version => 3.12.2
2020-07-20 10:50 elong Status resolved => closed